using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("导航属性：评价要求")]
    public class T_SK_RISK_EVALUATION_SUMMARY_REQUIRE : MesEntityBase
    {
        /// <summary>
        /// 安全风险评估汇总表
        /// </summary>
        [Description("安全风险评估汇总表")]
        [DataFieldForeignKey("Nav_Evaluation", "Nav_Requires")]
        public Guid RISK_EVALUATION_SUMMARY_ID { get; set; }

        /// <summary>
        /// 导航：安全风险评估汇总表
        /// </summary>
        [Description("导航：安全风险评估汇总表")]
        public virtual T_SK_RISK_EVALUATION_SUMMARY Nav_Evaluation { get; set; }
        [Description("评价要求")]
        [DataFieldForeignKey("Nav_Require")]
        public Guid? REQUIRE_ID { get; set; }

        [Description("导航属性：评价要求")]
        public virtual T_SK_EVALUATION Nav_Require { get; set; }
    }
}
